---
title: "startSketchAt"
excerpt: "Start a new 2-dimensional sketch at a given point on the 'XY' plane."
layout: manual
---

**WARNING:** This function is deprecated.

Start a new 2-dimensional sketch at a given point on the 'XY' plane.



```js
startSketchAt(data: [number]) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `data` | `[number]` |  | Yes |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
exampleSketch = startSketchAt([0, 0])
  |> line(end = [10, 0])
  |> line(end = [0, 10])
  |> line(end = [-10, 0])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of startSketchAt 0](data:image/png;base64,[encoded data, 98492 characters])

```js
exampleSketch = startSketchAt([10, 10])
  |> line(end = [10, 0])
  |> line(end = [0, 10])
  |> line(end = [-10, 0])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of startSketchAt 1](data:image/png;base64,[encoded data, 129024 characters])

```js
exampleSketch = startSketchAt([-10, 23])
  |> line(end = [10, 0])
  |> line(end = [0, 10])
  |> line(end = [-10, 0])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of startSketchAt 2](data:image/png;base64,[encoded data, 109932 characters])


